close all
clear all
clc


%% GRAFIKA


%Zadatak 1.

figure(1)
x = -pi:0.3:pi;
y = cos(x).^2;
figure(1)
plot(x, y, 'o--r')
title('Ovo je funkcija kvadrata kosinusa')
xlabel('x-os')
ylabel('y-os')
legend('cos^2(x)')
axis([-1 3 -0.2 0.8])


%Zadatak 2.

figure(2)
x1 = -pi:1e-3:pi;
y1 = 10*sin(x1).^3;
y2 = exp(-x1).*cos(5*x1);
subplot(3, 2, [1 3])
plot(x1, y1, ':r', x1, y2, '--k', 'LineWidth', 2)
grid on

y3 = x1.^2;
subplot(3, 2, [2 4])
plot(x1, y3)
grid on

subplot(3, 2, [5 6])
plot(x1, y1+y2+y3, 'g', 'LineWidth', 2)
grid minor


% Zadatak 3.

figure(3)
x = @(t) (cos(t)-cos(5*t).^3);
y = @(t) (sin(t)-sin(5*t).^3);
t = [0 2*pi];
fplot(x, y, t, 'k:', 'LineWidth', 2)
xlabel('x(t)')
ylabel('y(t)')
title('Parametarska krivulja')
grid minor


% Zadatak 4.

x = 0:0.001:5;
f = -x + 5;

a1 = 1;
h1 = my_heaviside(x-a1);
figure(4)
plot(x, f.*h1, x, f, '--', 'LineWidth', 2)
ylim([-0.5 5])

a2 = 4;
h2 = my_heaviside(x-a2);
figure(5)
plot(x, f.*h2, x, f, '--', 'LineWidth', 2)
ylim([-0.5 5])

y = f.*(h1 - h2);
figure(6)
plot(x, y, 'LineWidth', 2)
ylim([-1 5])
xlabel('x')
ylabel('y')
grid on


% Zadatak 5.

figure(7)
x = -6:1.9:6;
y = -5:1.5:6;
[X, Y] = meshgrid(x, y);
h = Y.*sin(X).*cos(2.*X) - Y.*X.^3 + 2.*X;
surf(X, Y, h)
